var ironcurtain = {}

ironcurtain.currentTime = "";
ironcurtain.pastTime = "";
ironcurtain.logColumns = []

ironcurtain.startMonitoring = function(time)
{
    ironcurtain.currentTime = time;
    ironcurtain.retrieveRealTimeLogs();
}
                
ironcurtain.retrieveRealTimeLogs = function()
{
    setTimeout("ironcurtain.retrieveRealTimeLogs()", 2500);
    var d = loadJSONDoc ("/rtlogs?starttime=" + ironcurtain.currentTime);
    d.addCallback(ironcurtain.renderRealTimeLogs);
}

ironcurtain.renderRealTimeLogs = function(result)
{
    var resultLength = result['columns'].length;
    
    if(resultLength > 50) {
        result['columns'] = result['columns'].splice(0, 50);
        ironcurtain.currentTime = result["current_time"];
        resultLength = 50;
    } 
        
    if(resultLength == 50) {
        ironcurtain.logColumns = result['columns'];
    } else {
        ironcurtain.logColumns = result['columns'].concat(
                ironcurtain.logColumns.splice(0, 50 - resultLength));
    }
            
    var data = { 'headers': result['headers'],
                 'rows': ironcurtain.logColumns,
                 'hidden_columns':['id'],
             };
                 
    var grid = Widget.grid.render('user_log', data);;
    
    replaceChildNodes('logs', DIV({'align': 'center'}, grid));
}
